Skip to Content
IBM AIX

End of support for partner JDKs for SAP

Dear SAP on AIX customer

We would like to remind you that with the introduction of the SAP JVM 4 the end of SAP support for partner JDK’s was announced in 2011 (for details see SAP note 1495160). Effective since October 2012, only SAP JVM 4 is now supported for SAP Web Application Server 6.40 and SAP NetWeaver 7.00 systems running the Java stack. By this SAP can guarantee full Java support for the lifetime of these systems. .

Our general recommendation for all customers still using partner JVMs, like IT4J, is to switch immediately to SAP JVM. SAP provides a JVM switch tool which makes switching easy. You can download the tool, the usage guide and SAP JVM 4 itself from the SAP Service Marketplace.

To get the guide:

To get SAP JVM 4:

  • Go to http://service.sap.com/patches
  • Choose "Search for Support Packages and Patches“ and search for ‘SAP JVM 4’

  • Download latest SAPJVM4<version>.SAR from AIX 64bit section

To get the switch tool:

  • Go to http://service.sap.com/patches
  • Choose "Search for Support Packages and Patches“ and search for ‘SAP JVM 4’

  • Download latest SAPJVMSWITCH<version>.SAR from the AIX 64bit section

Please note that the IBM JVM 1.4 SR13 FP13 dated Aug. 2012 from the IBM download page will be the latest available 1.4 JVM from IBM for SAP customers. There will be no more fixes for the IBM JVM including security fixes.

Former Member

No comments